Show / Hide Table of Contents

# AsyncLazy Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public class AsyncLazy

##### Inheritance

System.Object → AsyncLazy

### Members

#### Constructors

Name | Description
--- | ---
AsyncLazy(Func<UniTask>) |

#### Properties

Name | Description
--- | ---
Task |

#### Methods

Name | Description
--- | ---
GetAwaiter() |

### Constructors

#### AsyncLazy(Func<UniTask>)

    public AsyncLazy(Func<UniTask> taskFactory)

##### Parameters

`taskFactory` System.Func<UniTask>

### Properties

#### Task

    public UniTask Task { get; }

##### Property Value

UniTask

### Methods

#### GetAwaiter()

    public UniTask.Awaiter GetAwaiter()

##### Returns

UniTask.Awaiter